Subject: Re: [bug#32768] [PATCH] gnu: go-1.11: Add New Version

From: Leo Famulari <[email-masked]>
Date: Sat, 22 Sep 2018 14:44:18 -0400

On Fri, Sep 21, 2018 at 09:58:28AM -0500, Katherine Cox-Buday wrote:
> 
> > I tested that some basic packages build within the go-build-system
> > using Go 1.11 (several need to be updated to support Go 1.11,
> > however).
> 
> Great to hear. I didn't think to do that, thanks!

It can be done per-package by setting '#:go ,go-1.11' in the arguments
field of the package you'd like to test, or for the entire
go-build-system like this:

diff --git a/guix/build-system/go.scm b/guix/build-system/go.scm
index cf9116327..80894677f 100644
--- a/guix/build-system/go.scm
+++ b/guix/build-system/go.scm
@@ -44,7 +44,7 @@
 (define (default-go)
   ;; Lazily resolve the binding to avoid a circular dependency.
   (let ((go (resolve-interface '(gnu packages golang))))
-    (module-ref go 'go)))
+    (module-ref go 'go-1.11)))
 
 (define* (lower name
                 #:key source inputs native-inputs outputs system target

> > This phase is identical to the one that would be inherited from Go
> > 1.10,
> > right?
> 
> Yes, thanks! Removed.

Great! Pushed as 21280a8cd805ace5f95cd2580b8a6ca1e25050d7

> As an aside, this workflow is new to me. I'd greatly appreciate any
> pointers on convention if anyone has any. I hope I'm doing this
> correctly :)

> From 52199d74e7e417f6257b2bdf73b9982724183347 Mon Sep 17 00:00:00 2001
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
> From: Katherine Cox-Buday <[email-masked]>
> Date: Fri, 21 Sep 2018 09:38:23 -0500
> Subject: [PATCH] Remove Unecessary Stage Replacement

In general, I prefer to make a change like this locally, amend the
original commit (I use `git add --patch && git commit --amend
--verbose`), and then send a new version of the original patch.

git-format-patch and git-send-email both take the --subject-prefix
argument, so you can generate the new patch with, for example,
'--subject-prefix=v2'. Then the subject line of your patch or email is
helpfully annotated:

Subject: [v2] gnu: Add Go 1.11.

But, for simple edits like this, or when there is only one patch,
sending a diff on the original patch works, too.

Please let us know if you have other workflow questions!